Description

I've installed RedMine on my Macintosh OS X machine using Apache 2 and Phusion Passenger.

However, when I access the homepage, I get the following error:

Error message:

    superclass must be a Class (Module given)

Exception class:

    TypeError

Application root:

    /redmine

 When I change the RailsSpawnMethod setting of Passenger to "conservative", it works just fine (but slower).

I'm using:

Mac OS X 10.5.4

Apache 2.2.8

Ruby 1.8.6 (2008-03-03 patchlevel 114) [universal-darwin9.0]

Rails 2.1.0

Redmine from svn (r1709)

The Apache config that does not work:

# Load mod_passenger

LoadModule passenger_module /Library/Ruby/Gems/1.8/gems/passenger-2.0.2/ext/apache2/mod_passenger.

so

PassengerRoot /Library/Ruby/Gems/1.8/gems/passenger-2.0.2

PassengerRuby /System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/bin/ruby

# Load redmine

RailsBaseURI /redmine

 The Apache config that does work:

# Load mod_passenger

LoadModule passenger_module /Library/Ruby/Gems/1.8/gems/passenger-2.0.2/ext/apache2/mod_passenger.

so

PassengerRoot /Library/Ruby/Gems/1.8/gems/passenger-2.0.2

PassengerRuby /System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/bin/ruby

# Configure mod_passenger

RailsSpawnMethod conservative

# Load redmine

RailsBaseURI /redmine

 I've attached a screenshot with more information about the error.

Related issues:

Related to Redmine - Defect #1754: Redmine not compatible with RedCloth >= 3.301 Closed 2008-08-05
https://www.redmine.org/projects/redmine/repository/svn/revisions/1709


History

#1 - 2008-08-04 16:53 - Billy Ma

I was able to duplicate the problem on my Mac OS X.

This problem is related to RedCloth. I was told that RedCloth did a complete rewrite of their code with version 3.0.4, which Redmine depends on.

You can do one of the following to solve the problem:

1. Remove all the previous version of RedCloth and keep version 3.0.4.

2. Remove all versions of RedCloth and use the file that comes with Redmine

You should be able to run it with any problem.

#2 - 2008-08-05 09:28 - Pieter Claerhout

- Status changed from New to Resolved

I removed all versions of RedCloth I've had installed and now it's working fine.

What's strange however that the only versions I had installed were 3.0.4 and 4.0.1.

#3 - 2008-08-18 06:30 - Gerrit Kaiser

Pieter Claerhout wrote:

I removed all versions of RedCloth I've had installed and now it's working fine.

What's strange however that the only versions I had installed were 3.0.4 and 4.0.1.

 RedCloth had a major update with 4.0, so no surprise it breaks. Weird is, however, that Redmine apparently only tries loads version 4 of the RedCloth

gem when running under Passenger.

So this might well be a Passenger bug, not a Redmine one, but I don't think this issue is resolved yet. Uninstalling RedCloth is a workaround at best.

#4 - 2008-08-18 06:32 - Gerrit Kaiser

related to http://www.redmine.org/issues/show/1754

#5 - 2008-08-25 14:00 - Jean-Philippe Lang

- Category set to Wiki

- Status changed from Resolved to Closed

- Resolution set to Duplicate

This is not related to Phusion Passenger, the exact problem is described in #1754.
